%define upstream_name    File-Slurp-Remote
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Discover canonical hostnames, sometimes with `hostname`
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Sys::Hostname::FQDN)
BuildRequires: perl(Tie::Hash)
BuildArch:  noarch
Provides: perl(File::Slurp::Remote)

%description
This is similar to the File::Slurp manpage, but it reads and writes files
on remote systems using 'ssh' to get there.

It uses ssh/scp to get to the remote systems. You can override the copy
command by redefining '$File::Slurp::Remote::scp'. You can override the
remote shell command by redefining '$File::Slurp::Remote::SmartOpen::ssh'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGELOG META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.440.0-8.mga6
+ Revision: 1027605
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.440.0-7.mga6
+ Revision: 931362
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.440.0-6.mga5
+ Revision: 746996
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.440.0-5.mga5
+ Revision: 733724
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 0.440.0-4.mga5
+ Revision: 684769
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.440.0-3.mga4
+ Revision: 511592
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.440.0-2.mga3
+ Revision: 367384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 218831
- update to 0.44

* Thu Jun 30 2011 jquelin <jquelin> 0.420.0-1.mga2
+ Revision: 116678
- imported package perl-File-Slurp-Remote


* Thu Jun 30 2011 cpan2dist 0.42-1mga
- initial mageia release, generated with cpan2dist
